Bug 740592 - imagefactory needs rhevm.json in /etc/imagefactory now
Summary: imagefactory needs rhevm.json in /etc/imagefactory now
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-configure
Version: 0.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
Assignee: Richard Su
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-22 15:20 UTC by Dave Johnson
Modified: 2012-02-09 15:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-08 13:49:49 UTC


Attachments (Terms of Use)

Description Dave Johnson 2011-09-22 15:20:10 UTC
Description of problem:
=================================
aeolus-configure creates a /etc/rhevm.json file which imagefactory uses to push images to rhevm.  The latest version of imagefactory now expects this in /etc/imagefactory directory.


Version-Release number of selected component (if applicable):
==================================================================
[root@hp-z600-01 ~]# rpm -qa | egrep 'configure|factory'
    rubygem-imagefactory-console-0.5.0-4.20110824113238gitd9debef.fc15.noarch
    aeolus-configure-2.0.2-4.20110921102958gitcaa9608.fc15.noarch
    imagefactory-0.6.2-1.fc15.noarch

Comment 1 Richard Su 2011-09-26 22:36:30 UTC
Fixed on configure commit ff33f9b54967490ddd02464b8e147b39d4dfeaa3 and aeolus-configure-2.0.2-4.20110923140029gitff33f9b.fc15.noarch.rpm

Comment 2 wes hayutin 2011-09-28 14:44:38 UTC
[root@unused ~]# cat /etc/imagefactory/vsphere.json 
{
  "vsphere":
  {
    "api-url":   "https://10.16.143232136/sdk",
    "username":  "Administrator",
    "password":     "asdf
    "datastore":    "datastore1",
    "network_name": "VM Network"
  }
}
[root@unused ~]#


verified..

[root@unused ~]# rpm -qa | grep aeolus
aeolus-conductor-0.4.0-0.20110926211730git1cc372b.fc15.noarch
aeolus-conductor-daemons-0.4.0-0.20110926211730git1cc372b.fc15.noarch
aeolus-all-0.4.0-0.20110926211730git1cc372b.fc15.noarch
aeolus-conductor-doc-0.4.0-0.20110926211730git1cc372b.fc15.noarch
aeolus-conductor-devel-0.4.0-0.20110926211730git1cc372b.fc15.noarch
rubygem-aeolus-image-0.1.0-3.20110919115936gitd1d24b4.fc15.noarch
aeolus-configure-2.0.2-4.20110926142838git5044e56.fc15.noarch

Comment 4 wes hayutin 2011-12-08 13:49:49 UTC
perm close


Note You need to log in before you can comment on or make changes to this bug.